



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>MySQL--查看数据库连接信息</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">MySQL--查看数据库连接信息</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-03-15 21:33:20 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p>=====================================</p>
<p>查看当前连接到数据库的用户和Host</p>
<div>
<pre class="prettyprint linenums">## 查看当前连接到数据库的用户和Host ##

SELECT DISTINCT<br />
USER,HOST<br />
FROM `information_schema`.`PROCESSLIST` P<br />
WHERE P.USER NOT IN('root','repl','system user')   \G</pre>
</div>
<p>=====================================</p>
<p>查看每个host的当前连接数和总连接数</p>
<div>
<pre class="prettyprint linenums">SELECT *<br />
FROM performance_schema.hosts;</pre>
</div>
<p>PS1: 系统表performance_schema.hosts在MySQL 5.6.3版本中引入，用来保存MySQL服务器启动后的连接情况。</p>
<p>=====================================</p>
<p>按照登录用户+登录服务器查看登录信息</p>
<div>
<pre class="prettyprint linenums">SELECT<br />
USER as login_user,<br />
LEFT(HOST,POSITION(':' IN HOST)-) AS login_ip,<br />
count() as login_count<br />
FROM `information_schema`.`PROCESSLIST` P<br />
WHERE P.USER NOT IN('root','repl','system user')<br />
GROUP BY USER,LEFT(HOST,POSITION(':' IN HOST)-)<br />
ORDER BY COUNT() DESC;</pre>
</div>
<p>=====================================</p>
<p>按照登录用户+数据库+登录服务器查看登录信息</p>
<div>
<pre class="prettyprint linenums">SELECT<br />
DB as database_name,<br />
USER as login_user,<br />
LEFT(HOST,POSITION(':' IN HOST)-) AS login_ip,<br />
count() as login_count<br />
FROM `information_schema`.`PROCESSLIST` P<br />
WHERE P.USER NOT IN('root','repl','system user')<br />
GROUP BY DB,USER,LEFT(HOST,POSITION(':' IN HOST)-)<br />
ORDER BY COUNT() DESC;</pre>
</div>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/o8k57238.html">C语言中内存对齐</a>
		</li>
						<li><a href="https://www.batexi.com/a/oqv3p2x8.html">第 13 章 CSS 选择器&lbrack;上&rsqb;</a>
		</li>
						<li><a href="https://www.batexi.com/a/m96251vq.html">难得的中文ASP&period;NET 5&sol;MVC 6入门教程</a>
		</li>
						<li><a href="https://www.batexi.com/a/8z1yoen9.html">asp&period;net获取当前网址url的各种属性&lpar;文件名、参数、域名 等&rpar;的代码</a>
		</li>
						<li><a href="https://www.batexi.com/a/8e1mpje9.html">android开发，设置listview的高度无效</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pjyvly9.html">to disable the entity lazy load&comma; The ObjectContext instance has been disposed and can no longer be used for operations that require a connection&period;</a>
		</li>
						<li><a href="https://www.batexi.com/a/96onmz49.html">bzoj 1096 &lbrack;ZJOI2007&rsqb;仓库建设（关于斜率优化问题的总结）</a>
		</li>
						<li><a href="https://www.batexi.com/a/8z1zvmn9.html">Windows8&period;1 preview硬盘安装（图解）</a>
		</li>
						<li><a href="https://www.batexi.com/a/qv1j1joq.html">Pyinstaller（python打包为exe文件）</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gekkr08.html">System包含的信息</a>
		</li>
						<li><a href="https://www.batexi.com/a/8kp47j79.html">6&period;Ray-消息订阅器编写</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdp4jejq.html">网站开发进阶&lpar;二十五&rpar;js如何将html表格导出为excel文件</a>
		</li>
						<li><a href="https://www.batexi.com/a/8o11ov1q.html">避免jquery的click多次绑定方法</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdwd5g09.html">qml  Loader异步导致ComBoBox数据乱序</a>
		</li>
						<li><a href="https://www.batexi.com/a/8o1oe55q.html">BZOJ2733&lbrack;HNOI2012&rsqb;永无乡&mdash;&mdash;线段树合并&plus;并查集&plus;启发式合并</a>
		</li>
						<li><a href="https://www.batexi.com/a/8m2z1k6q.html">Harmonic Number &lpar;II&rpar; LightOJ - 1245 （找规律？。。。）</a>
		</li>
						<li><a href="https://www.batexi.com/a/q25evllq.html">浅谈压缩感知（二十一）：压缩感知重构算法之正交匹配追踪（OMP）</a>
		</li>
						<li><a href="https://www.batexi.com/a/qyym4gdq.html">eclipse git 忽略文件</a>
		</li>
						<li><a href="https://www.batexi.com/a/8zyd7xd9.html">pycharm中conda环境部署</a>
		</li>
						<li><a href="https://www.batexi.com/a/8e4d22m9.html">hibernate增删改</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/8m20nk6q.html">JS时间戳和时间之间转换</a>
			</li>
						<li><a href="https://www.batexi.com/a/q254w1xq.html">gitblit系列七：使用Jenkins配置自动化持续集成构建</a>
			</li>
						<li><a href="https://www.batexi.com/a/8o1ejwlq.html">ngnix笔记</a>
			</li>
						<li><a href="https://www.batexi.com/a/qdw2p409.html">：适配器模式：Adapter</a>
			</li>
						<li><a href="https://www.batexi.com/a/qnvojzj8.html">：单件模式：Singleton</a>
			</li>
						<li><a href="https://www.batexi.com/a/9j131249.html">SQL-31 获取select &ast; from employees对应的执行计划</a>
			</li>
						<li><a href="https://www.batexi.com/a/93wzp3wq.html">nio的简单学习</a>
			</li>
						<li><a href="https://www.batexi.com/a/q7ore5j8.html">cxf http 代码自动生成</a>
			</li>
						<li><a href="https://www.batexi.com/a/qv2ldnx9.html">MVC中如何避免POST请求中出现的重复提交</a>
			</li>
						<li><a href="https://www.batexi.com/a/9pwrkyy8.html">cc、gcc、g&plus;&plus;、CC的区别概括</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
